/*
dbck.c Version 0.1.0  Hash check database integrity
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/* Usage: dbck filename */

#include <bthash.h>

void putstx(pgm)
char *pgm;
   {
   fprintf(stderr,"Usage %s filename\n", pgm);
   exit(1);
   } /* putstx */

int main(argc,argv)
int argc;
char **argv;
   {
   int opnerr;
   int rslt;
   hashfmt *hshhdr;
   char dbname[256];
   if (argc != 2) putstx(*argv);
   strcpy(dbname,*(argv+1));

   hshhdr = (hashfmt *) hopen(dbname,READ,TSTLOCK,&opnerr);
   if (hshhdr == NULL)
      {
      fprintf(stderr,"dbck: hopen "
	 "error %d\n", opnerr);
      exit(1);
      } /* open err */
   /* process starts here */

   rslt = hdbck(hshhdr);
   if (rslt || hshhdr->reason)
      {
      fprintf(stderr,"dbck: hdbck "
	 "error %d reason %d\n",
	 rslt, hshhdr->reason);
      } /* if check err */

   /**********************************************************/
   hclose(hshhdr);
   return(0);
   } /* main */
